Install latest yamllint from Debian testing

Needed for
https://gitlab.com/gitlab-com/www-gitlab-com/-/merge_requests/47628
parent edb77d45
......@@ -11,7 +11,7 @@ apt-get install -yq --no-install-recommends \
make gcc g++ locales \
rsync git-core texlive-latex-recommended texlive-xetex \
texlive-fonts-recommended lmodern ed file curl gnupg2 \
yamllint python3-pkg-resources unzip
unzip
# Install pandoc
cd /tmp
......@@ -34,6 +34,14 @@ NODE_INSTALL_VERSION=12.4.0
YARN_INSTALL_VERSION=1.21.1-1
/scripts/install-node $NODE_INSTALL_VERSION $YARN_INSTALL_VERSION && node --version && yarn --version
# Install yamllint
# We need the latest version
# https://packages.debian.org/testing/yamllint
YAMLLINT_VERSION=1.23.0
echo "deb http://deb.debian.org/debian testing main" | tee -a /etc/apt/sources.list.d/testing.list
apt update
apt -t testing install -yq yamllint=${YAMLLINT_VERSION}-1
# Install gitlab-runner
curl -O -J -L https://gitlab-ci-multi-runner-downloads.s3.amazonaws.com/latest/binaries/gitlab-ci-multi-runner-linux-amd64
mv gitlab-ci-multi-runner-linux-amd64 /usr/bin/gitlab-runner-helper
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment